apiVersion: v1
kind: Namespace
metadata:
  name: adguard
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: adguard-work-pvc
  namespace: adguard
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: local-path
  resources:
    requests:
      storage: 2Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: adguard-conf-pvc
  namespace: adguard
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: local-path
  resources:
    requests:
      storage: 1Gi
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: adguard
  namespace: adguard
spec:
  replicas: 1
  selector:
    matchLabels:
      app: adguard
  template:
    metadata:
      labels:
        app: adguard
    spec:
      hostNetwork: true
      dnsPolicy: ClusterFirstWithHostNet
      containers:
        - name: adguard
          image: adguard/adguardhome:latest
          volumeMounts:
            - name: adguard-work
              mountPath: /opt/adguardhome/work
            - name: adguard-conf
              mountPath: /opt/adguardhome/conf
      volumes:
        - name: adguard-work
          persistentVolumeClaim:
            claimName: adguard-work-pvc
        - name: adguard-conf
          persistentVolumeClaim:
            claimName: adguard-conf-pvc
